# ChapterWise Codex Template: Novel / Book
# ==========================================
# This is a starter template for a novel or book project.
# Customize the metadata and replace the placeholder content.
# 
# Documentation: https://chapterwise.app/docs/codex/format

metadata:
  formatVersion: "1.1"
  author: "Your Name"
  created: "2024-01-01"
  description: "A novel project created with ChapterWise"

# Book Root Entity
id: "my-novel"
type: book
name: "My Novel Title"
summary: "A brief summary of your novel goes here."

# Book-level attributes
attributes:
  - key: genre
    value: "Fiction"
  - key: status
    value: "In Progress"
  - key: target_word_count
    value: 80000

# Children entities (chapters)
children:
  - id: "chapter-01"
    type: chapter
    name: "Chapter One: The Beginning"
    summary: "The story opens with..."
    body: |
      Your prose goes here. Write your chapter content
      using the multi-line YAML syntax (the pipe character |).
      
      Each paragraph should be separated by a blank line.
      
      You can write as much as you need here.

  - id: "chapter-02"
    type: chapter
    name: "Chapter Two: Rising Action"
    summary: "Events begin to unfold..."
    body: |
      Continue your story here.
      
      Add more chapters by copying this structure.

# Optional: Character definitions
# Uncomment and customize as needed
# characters:
#   - id: "protagonist"
#     type: character
#     name: "Main Character Name"
#     summary: "Brief description of the character"
#     attributes:
#       - key: role
#         value: "Protagonist"
#       - key: age
#         value: 28

